Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class AbstractRecordReader

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader

All Implemented Interfaces:
  RecordReader

Direct Known Subclasses:
  CurrentRecordReader, DefaultFlatFileReader, DirectoryReader, FlatFileReader, ParameterReader, SplitRecordReader, SqlGrep, SqlReader, SubtreeRecordReader

    public abstract class AbstractRecordReader

extends java.lang.Object
implements RecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`AbstractRecordReader()`

Method Summary
`void` | `close()`
`void` | `discardRecord(ServiceContext context, Flow flow, ServingXmlException e)`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`RecordWriter` | `getDiscardWriter()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`RecordWriter` | `getRecordWriter()`
`void` | `setDiscardWriter(RecordWriter discardWriter)`
`void` | `setRecordWriter(RecordWriter recordWriter)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`readRecords`

Constructor Detail

### AbstractRecordReader

    public AbstractRecordReader()

Method Detail

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`

### getRecordWriter

    public RecordWriter getRecordWriter()

  Specified by:
    `getRecordWriter` in interface `RecordReader`

### setRecordWriter

    public void setRecordWriter(RecordWriter recordWriter)

  Specified by:
    `setRecordWriter` in interface `RecordReader`

### getDiscardWriter

    public RecordWriter getDiscardWriter()

  Specified by:
    `getDiscardWriter` in interface `RecordReader`

### setDiscardWriter

    public void setDiscardWriter(RecordWriter discardWriter)

  Specified by:
    `setDiscardWriter` in interface `RecordReader`

### close

    public void close()

### startRecordStream

    public void startRecordStream(ServiceContext context,
                                  Flow flow)

### endRecordStream

    public void endRecordStream(ServiceContext context,
                                Flow flow)

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow)

### discardRecord

    public void discardRecord(ServiceContext context,
                              Flow flow,
                              ServingXmlException e)

  Specified by:
    `discardRecord` in interface `RecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD